#ifndef SETTINGSWIDGET_H
#define SETTINGSWIDGET_H

#include <QWidget>

namespace Ui {
class SettingsWidget;
}

class LegacyApp;

class SettingsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit SettingsWidget(LegacyApp *_app, QWidget *parent = 0);
    ~SettingsWidget();

private slots:
    void UpdateFolderPath();

    void on_download_restrict_slider_valueChanged(int value);

    void on_interface_scale_combobox_common_currentIndexChanged(const QString &arg1);

private:
    Ui::SettingsWidget *ui;
    LegacyApp *app;
};

#endif // SETTINGSWIDGET_H
